<?php
  class KasutajaAndmed{
    private $ab;
    private $kid;
    private $pildikaust="pildid/";
    function __construct($yhendus, $kasutaja_id){
      $this->ab=$yhendus;
      $this->kid=$kasutaja_id;
    }
    function lisaPilt($pildiandmed){
       move_uploaded_file($pildiandmed["tmp_name"], $this->pildiNimi());
    }
    function kasKasutajalPilt(){
       return file_exists($this->pildiNimi());
    }
    function kustutaPilt(){
       unlink($this->pildiNimi());
    }
    function pildiNimi(){
       return $this->pildikaust.$this->kid.".png";
    }

    function kaaslasteAndmed(){
       $kask=$this->ab->prepare("
 SELECT knimi, epost, huviala
  FROM kasutajad_huvialad AS kh1, kasutajad_huvialad AS kh2,
       kasutajad, huvialad
  WHERE kh1.huviala_id=kh2.huviala_id 
     AND kh1.kasutaja_id <> kh2.kasutaja_id 
     AND kh2.kasutaja_id=kasutajad.id
     AND kh2.huviala_id=huvialad.id
     AND kh1.kasutaja_id=?");
       $kask->bind_param("i", $this->kid);
       $kask->bind_result($knimi, $epost, $huviala);
       $kask->execute();
       $hoidla=array();
       while($kask->fetch()){
          $k=new stdClass();
          $k->knimi=$knimi;
          $k->epost=$epost;
          $k->huviala=$huviala;
          array_push($hoidla, $k);
       }
       return $hoidla;
    }
}
?>
