CREATE TABLE lehed(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  pealkiri VARCHAR(50),
  sisu TEXT
);


INSERT INTO lehed (pealkiri, sisu) VALUES ('Ilmateade', 'Kuiv ilm');
INSERT INTO lehed (pealkiri, sisu) VALUES ('Korvpall', 'Treening reedel kell 18');
INSERT INTO lehed (pealkiri, sisu) VALUES ('Matemaatika', 'Homme tunnikontroll');
INSERT INTO lehed (pealkiri, sisu) VALUES ('Autobaasi avaleht', 'Tere tulemast meie autobaasi teenuseid kasutama');
INSERT INTO lehed (pealkiri, sisu) VALUES ('Autobaasi hinnakiri', 'Hinnad alates 200st kroonist tunnis');



CREATE TABLE kaubagrupid(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  grupinimi VARCHAR(255)
);

INSERT INTO kaubagrupid(grupinimi) VALUES ('tellised');
INSERT INTO kaubagrupid(grupinimi) VALUES ('katusematerjal');

CREATE TABLE kaubad(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  nimetus VARCHAR(255),
  kaubagrupi_id INT,
  hind DECIMAL(10, 2)
);


INSERT INTO kaubad (nimetus, kaubagrupi_id, hind) VALUES ('ahjutellis', 1, 8.20);
INSERT INTO kaubad (nimetus, kaubagrupi_id, hind) VALUES ('fassaaditellis', 1, 7.50);
INSERT INTO kaubad (nimetus, kaubagrupi_id, hind) VALUES ('bituumenrull', 2, 520);


CREATE TABLE kasutajad(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  knimi VARCHAR(50) UNIQUE,
  paroolir2si CHAR(40) NOT NULL,
  epost VARCHAR(50)
);

CREATE TABLE huvialad(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  huviala VARCHAR(50)
);

CREATE TABLE kasutajad_huvialad(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  kasutaja_id INT,
  huviala_id INT,
  FOREIGN KEY(kasutaja_id) REFERENCES kasutajad(id),
  FOREIGN KEY(huviala_id) REFERENCES huvialad(id),
  UNIQUE (kasutaja_id, huviala_id)
);

INSERT INTO huvialad(huviala) VALUES ('Korvpall');
INSERT INTO huvialad(huviala) VALUES ('Jalgpall');
INSERT INTO huvialad(huviala) VALUES ('Hoki');
INSERT INTO huvialad(huviala) VALUES ('Bajaan');


