<?php
  class Kasutajahaldus{
     private $ab;
     function __construct($yhendus){
       $this->ab=$yhendus;
     }
     function lisaKasutaja($knimi, $parool, $epost){
        $kask=$this->ab->prepare("SELECT id FROM kasutajad WHERE knimi=?");
        echo $this->ab->error;
        $kask->bind_param("s", $knimi);
        $kask->execute();
        if($kask->fetch()){
          return "Kasutaja $knimi juba olemas";
        }
        $r2si=sha1($parool);
        $kask=$this->ab->prepare("INSERT INTO kasutajad (knimi, paroolir2si, epost)
                VALUES (?, ?, ?)");
        $kask->bind_param("sss", $knimi, $r2si, $epost);
        $kask->execute();
//        mail($epost, "Registreeritud", 
//              "Registreerid end huvialade andmebaasi kasutajana $knimi.");
        return ""; //veatekst puudub;
     }
     function kontrolliKasutaja($knimi, $parool){
        $r2si=sha1($parool);
        $kask=$this->ab->prepare("SELECT id FROM kasutajad WHERE knimi=? 
                            AND paroolir2si=?");
        $kask->bind_param("ss", $knimi, $r2si);
        $kask->bind_result($id);
        $kask->execute();
        if($kask->fetch()){
          return $id;
        }
        return 0;
     }
  }
?>
