<?php
  require("abifunktsioonid.php");
  if(!isSet($_SESSION["knimi"])){
    header("Location: meldimine.php");
    exit();
  }
  $khuvihaldus=new KasutajaHuvialad($yhendus, $_SESSION["kid"]);  
  if(isSet($_REQUEST["lisamine"])){
    $khuvihaldus->lisaHuvialad($_REQUEST["lisatav"]);
    header("Location: kasutajahuvialad.php");
    exit();
  }
  if(isSet($_REQUEST["eemaldamine"])){
    $khuvihaldus->eemaldaHuvialad($_REQUEST["eemaldatav"]);
  }
  $valitud=$khuvihaldus->valitudHuvialad();
  $vabad=$khuvihaldus->vabadHuvialad();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Kasutaja huvialade leht</title>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
  </head>
  <body>
    <h2>Kasutaja <?=$_SESSION["knimi"] ?> huvialade haldus</h2> 
    <a href="meldimine.php?lahku=jah">Lahku</a>
    <h3>Valitud huvialad</h3>
    <form action="kasutajahuvialad.php" method="post">
      <?php foreach($valitud as $h): ?>
          <input type="checkbox" name="eemaldatav[]" value="<?=$h->seose_id ?>" />
               <?=$h->huviala ?><br />
      <?php endforeach ?>
      <input type="submit" name="eemaldamine" value="Eemalda valitud huvialad kasutajalt" />
    </form>
    <h3>Vabad huvialad</h3>
    <form action="kasutajahuvialad.php" method="post">
      <?php foreach($vabad as $h): ?>
          <input type="checkbox" name="lisatav[]" value="<?=$h->id ?>" />
               <?=$h->huviala ?><br />
      <?php endforeach ?>
      <input type="submit" name="lisamine" value="Lisa valitud huvialad" />
    </form>
  </body>
</html>
